return {
	{
		"jay-babu/mason-null-ls.nvim",
		event = { "BufReadPre", "BufNewFile" },
		dependencies = {
			"williamboman/mason.nvim",
			"nvimtools/none-ls.nvim",
		},
		config = function()
			local null_ls = require("null-ls")

      null_ls.setup()
			-- null_ls.setup({
			-- 	sources = {
			-- 		null_ls.builtins.formatting.stylua,
			-- 		null_ls.builtins.completion.spell,
			-- 		require("none-ls.diagnostics.eslint"), -- requires none-ls-extras.nvim
			-- 	},
			-- })
			require("mason-null-ls").setup({
				ensure_installed = { "stylua", "jq", "html", "rust" },
			})
		end,
	},
}
